%global john_release %{version}-jumbo-1

Name:           john
Version:        1.9.0
Release:        1%{?dist}
Summary:        John the Ripper password cracker

License:        GPLv2+
URL:            https://www.openwall.com/john
Source0:        https://www.openwall.com/john/k/john-%{john_release}.tar.xz

BuildRequires:  gcc
BuildRequires:  openssl-devel
BuildRequires:  bzip2-devel

%description
John the Ripper is a fast password cracker. Its primary purpose is to
detect weak Unix passwords, but a number of other hash types are
supported as well.

%prep
%autosetup -n john-%{john_release}
sed -i 's#\$JOHN/john.conf#%{_sysconfdir}/john.conf#' src/params.h

%build
cd src
%configure --with-systemwide
%make_build


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 %{buildroot}%{_sysconfdir}
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_datadir}/john/rules
install -m 755 run/{john,mailer} %{buildroot}%{_bindir}
install -m 644 run/{*.py,*.pl,*.chr,*.lst,*.conf,*.dic,*.txt,*.pm,*.js,*.rb,*.lua} \
 run/benchmark-unify run/bitlocker2john run/calc_stat run/cprepair run/dmg2john run/genmkvpwd \
 run/hccap2john run/keepass2john run/makechr run/mkvcalcproba run/putty2john run/racf2john run/raw2dyna \
 run/relbench run/tgtsnarf run/uaf2john run/wpapcap2john \
 %{buildroot}%{_datadir}/john
install -m 644 run/rules/*.rule %{buildroot}%{_datadir}/john/rules
install -m 644 run/john.conf %{buildroot}%{_sysconfdir}

install -p -t %{buildroot}%{_bindir} \
 run/base64conv \
 run/gpg2john \
 run/rar2john \
 run/undrop \
 run/zip2john

%files
%license doc/COPYING
%doc README.md
%{_bindir}/%{name}
%{_bindir}/base64conv
%{_bindir}/gpg2john
%{_bindir}/mailer
%{_bindir}/rar2john
%{_bindir}/undrop
%{_bindir}/zip2john
%{_sysconfdir}/%{name}.conf
%{_datadir}/%{name}/*.py
%{_datadir}/%{name}/*.pl
%{_datadir}/%{name}/*.pm
%{_datadir}/%{name}/*.chr
%{_datadir}/%{name}/*.lst
%{_datadir}/%{name}/*.dic
%{_datadir}/%{name}/*.txt
%{_datadir}/%{name}/*.conf
%{_datadir}/%{name}/rules/*.rule
%{_datadir}/%{name}/benchmark-unify
%{_datadir}/%{name}/bitlocker2john
%{_datadir}/%{name}/calc_stat
%{_datadir}/%{name}/cprepair
%{_datadir}/%{name}/dmg2john
%{_datadir}/%{name}/genincstats.rb
%{_datadir}/%{name}/genmkvpwd
%attr(755,root,root) %{_datadir}/%{name}/hccap2john
%{_datadir}/%{name}/keepass2john
%{_datadir}/%{name}/makechr
%{_datadir}/%{name}/mkvcalcproba
%{_datadir}/%{name}/mongodb2john.js
%{_datadir}/%{name}/network2john.lua
%{_datadir}/%{name}/putty2john
%{_datadir}/%{name}/racf2john
%{_datadir}/%{name}/raw2dyna
%{_datadir}/%{name}/relbench
%{_datadir}/%{name}/tgtsnarf
%{_datadir}/%{name}/uaf2john
%attr(755,root,root) %{_datadir}/%{name}/wpapcap2john

%changelog
* Mon Feb 10 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 1.9.0-1
- Initial build.
